@echo off

SET "TITANDIR=%programdata%\Team Mediaportal\Mediaportal\Skin\Titan"

echo ###################################################
echo.
echo Titan Skin Directory
echo %TITANDIR%
echo.
echo Theme will be installed to
echo %TITANDIR%\Themes\Dull Gold\
echo.
echo Installer by KiwiJunglist, Theme by RedZebra
echo.
echo ###################################################

:Start

echo.
Echo Do you want to continue? [Y/N]
Echo.

Set /P ANSWER=

Echo.

if "%ANSWER%"=="y" Goto :Install
if "%ANSWER%"=="Y" Goto :Install
if "%ANSWER%"=="n" Goto :Abort
if "%ANSWER%"=="N" Goto :Abort

Goto :Start


:Install

Echo.
Echo Copying Original Titan XML Files...
xcopy /i /y /q "%TITANDIR%\*.xml" ".\XML\*.xml"

Echo.
Echo Gathering colour coded xml files
mtrw -qnb+:n1 .\XML\*.xml 00b7ff = 987e60
mtrw -qnb+:n2 .\XML\*.xml 6aa5cb = a99176
mtrw -qnb+:n3 .\XML\*.xml 6fafe1 = b8a58f
mtrw -qnb+:n4 .\XML\*.xml 85cffe = c7b8a7
mtrw -qnb+:n5 .\XML\*.xml 85cfff = c7b8a7
mtrw -qnb+:n6 .\XML\*.xml a9d0f7 = d6cbbf
mtrw -qnb+:n7 .\XML\*.xml bzd4f5 = e6dfd7

Echo.
Echo Copying colour coded xml files
xcopy /y .\XML\*.xmln? .\XML_NEW\*.xml

Echo.
Echo Changing Colours Codes...
mtrw -qnb- .\XML_NEW\*.xml 00b7ff = 987e60
mtrw -qnb- .\XML_NEW\*.xml 6aa5cb = a99176
mtrw -qnb- .\XML_NEW\*.xml 6fafe1 = b8a58f
mtrw -qnb- .\XML_NEW\*.xml 85cffe = c7b8a7
mtrw -qnb- .\XML_NEW\*.xml 85cfff = c7b8a7
mtrw -qnb- .\XML_NEW\*.xml a9d0f7 = d6cbbf
mtrw -qnb- .\XML_NEW\*.xml bzd4f5 = e6dfd7
Echo colour codes changed.


Echo.
Echo Copying Blinged out XML Files to Theme Folder...
xcopy /i /y /q ".\XML_NEW\*.xml" "%TITANDIR%\Themes\Dull Gold\*.xml"

Echo.
echo Deleting the temporary files...
rd /s /q .\XML
rd /s /q .\XML_NEW
echo Tempoary files deleted.

Echo.
Echo Copying Images
xcopy /i /y /q /s ".\Dull Gold\*.*" "%TITANDIR%\Themes\Dull Gold\*.*"

Echo.
Echo Deleting skin cache
rd /s /q "%programdata%\Team Mediaportal\Mediaportal\Cache"

Echo.
Echo #############################################
echo Installation Complete
echo #############################################
Echo.

Goto :EndOfFile


:Abort

Echo.
echo #############################################
Echo Installation Aborted
echo #############################################
Echo.

:EndOfFile

pause

:EndOfFile

pause